#include <luna/SystemError.h>
#include <string.h>

extern "C"
{
    // All other string functions are defined in luna/CString.cpp, so the same definitions can be used by both kernel
    // and userspace.

    extern "C++" const char* error_string(int);

    char* strerror(int errnum)
    {
        return const_cast<char*>(error_string(errnum));
    }
}
